Package csb :: Package apps :: Module hhsearch :: Class Context

[frames] | no frames]

# Class Context

source code

    object --+
             |
            Context

Known Subclasses:
  - hhfrag.SliceContext
  - , HHTask

Instance Methods

__init__(self, query) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| query
| result
Inherited from `object`: `__class__`

Method Details

### __init__(self, query)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### query

Get Method:
  unreachable.query(self)

### result

Get Method:
  unreachable.result(self)
Set Method:
  unreachable.result(self, result)